-- Funktion zum Setzen des Namens ders Bearbeiters einer Fallakte
SET ROLE :db_adm;

BEGIN;
-- Log the update
INSERT INTO db_history (beschreibung, zeitpunkt) 
	VALUES ('update_1_0_2/01_set_editor.sql', current_timestamp);

CREATE OR REPLACE FUNCTION set_case_editor_name (firstname varchar, lastname varchar, masterid integer) 
    RETURNS VOID 
    LANGUAGE 'plpgsql' VOLATILE EXTERNAL SECURITY DEFINER
    AS $$
BEGIN
    UPDATE master_tbl set vorname = firstname, name = lastname WHERE id = masterid;
END;
$$ ;

REVOKE ALL ON FUNCTION set_case_editor_name(varchar, varchar, integer) FROM PUBLIC;
GRANT EXECUTE ON FUNCTION set_case_editor_name(varchar, varchar, integer) 
                TO GROUP :admin_ka_group;
COMMIT;
