BEGIN;

-- Disbable trigger
ALTER TABLE master_tbl DISABLE TRIGGER ALL;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('update_1_5_6_hotfix/01-eintritt.sql', current_timestamp);

-- Faelle deren erstegespraech vor dem 31.08 liegen, oder kein erstgespraech
-- eingetragen haben, werden auf unbekannt gesetzt. 
UPDATE master_tbl set berufsschulpflichtig = -3 where coalesce(erstgespraech, '1970-01-01'::date) <= '2009-08-31'::date and berufsschulpflichtig = -1;
UPDATE master_tbl set allgschulpflichtig   = -3 where coalesce(erstgespraech, '1970-01-01'::date) <= '2009-08-31'::date and allgschulpflichtig = -1;

-- ENABLE trigger
SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;

COMMIT;
