BEGIN;
SET ROLE :adm_ka_owner;
CREATE OR REPLACE FUNCTION ka_delete_role (
        loginname       varchar(64),
        agency          varchar(52)
  ) RETURNS VOID 
  LANGUAGE 'plpgsql' VOLATILE EXTERNAL SECURITY DEFINER
  AS $$
  DECLARE
    db_user  varchar(128);
  BEGIN
    db_user := quote_ident('ka_' || agency || '_' || loginname);
    DELETE FROM ka_benutzer_tbl WHERE login = db_user;
    PERFORM waska_drop_role(loginname, agency);
  END;
$$ ;

GRANT EXECUTE ON FUNCTION ka_delete_role(varchar, varchar) TO GROUP :cm_ka_group;
GRANT EXECUTE ON FUNCTION ka_delete_role(varchar, varchar) TO GROUP :admin_ka_group;
SET ROLE postgres;
COMMIT;
